org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure

## Class PDParentTreeValue

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDParentTreeValue

All Implemented Interfaces:
  COSObjectable

    public class PDParentTreeValue
    extends Object
    implements COSObjectable

This is described in the PDF specification in the ParentTree segment of the table "Entries in the structure tree root". This is either a dictionary or an array. It's a dictionary for individual objects like an annotation or an XObject, and an array for a page object or a content stream containing marked-content sequences identified by an MCID. The index in the array is identical to the MCID. You can pass null if the MCIDs are not continous.

Author:
  Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`PDParentTreeValue(COSArray obj)`
`PDParentTreeValue(COSDictionary obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDParentTreeValue

    public PDParentTreeValue(COSArray obj)

#### PDParentTreeValue

    public PDParentTreeValue(COSDictionary obj)

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`